Issue copy form load wrong data when user can't create issues in the copied issue project

2016-09-29 17:11 - Lucas Arnaud

Status: Needs feedback Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

When a user tries to copy an issue in a project they are not allowed to create issues, the first available project in combo box is

selected but all form data rendered (custom fields, assignable users, possible watchers, etc) are based on the current.

In order to load the selected project data, the user have to select a different project and then the first one to force to reload the form.

The following patch solves this bug by setting the issue project to the first "@issue.allowed_target_projects" in

IssuesController#build_new_issue_from_params

History

#1 - 2016-09-29 21:58 - Lucas Arnaud

- File Fixing-issues-form-load-when-copying-issue-from-a-pr.patch added

The previous patch was wrong. I am sending the fixed version.

These are my environment settings:

  Redmine version                3.3.0.stable

  Ruby version                   2.3.1-p112 (2016-04-26) [x86_64-linux]

  Rails version                  4.2.6

  Environment                    development

  Database adapter               PostgreSQL

#2 - 2016-10-27 17:35 - Toshi MARUYAMA

- Tracker changed from Patch to Defect

#3 - 2016-10-27 17:37 - Toshi MARUYAMA

- Category set to Issues

- Status changed from New to Needs feedback

Lucas Arnaud wrote:

When a user tries to copy an issue in a project they are not allowed to create issues, the first available project in combo box is selected but all

form data rendered (custom fields, assignable users, possible watchers, etc) are based on the current.

 Sorry, I cannot reproduce on 3.3.1.

Please tell us how to reproduce.

Files

Fixing-issues-form-load-when-copying-issue-from-a-pr.patch 1.11 KB 2016-09-29 Lucas Arnaud

Fixing-issues-form-load-when-copying-issue-from-a-pr.patch 1.12 KB 2016-09-29 Lucas Arnaud
